Subject: Re: bug#71971: 31.0.50; Add user option server-window-alist

From: Michael Albinus <[email-masked]>
Date: Sat, 06 Jul 2024 13:58:59 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> A new user option `server-window-alist' shall be added to server.el. Every
>> entry shall be of type (REGEXP . SERVER-WINDOW). REGEXP is used to filter
>> for the buffer's file name, and if it matches, SERVER-WINDOW shall be
>> applied. SERVER-WINDOW itself has the same type as the `server-window'
>> user option.
>>
>> If no regexp matches, the value of user option `server-window' shall be
>> used.
>>
>> This new user option is the same as the existing
>> `with-editor-server-window-alist' from package with-editor.el. Mid-term,
>> the former shall replace the latter.
>
> Is it possible to describe the typical use cases which this option
> targets?  Given that client frames/windows are not meant for specific
> buffers (IOW, a client frame/window can be used for editing several
> buffers), what kind of workflow will benefit from this option?
>
> (And please don't say "the same cases as those where server-window is
> useful", because I don't understand its usefulness, either.)

I would let this to Jonas. Perhaps a short description which would be
good for "(emacs) Invoking emacsclient".

> Thanks.

Best regards, Michael.